Package ghidra.util.table.field

# Class AbstractProgramLocationTableColumn<ROW_TYPE,COLUMN_TYPE>

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Program>
ghidra.util.table.field.AbstractProgramBasedDynamicTableColumn<ROW_TYPE,COLUMN_TYPE>
ghidra.util.table.field.AbstractProgramLocationTableColumn<ROW_TYPE,COLUMN_TYPE>

All Implemented Interfaces:
  `DynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Program>`, `ProgramBasedDynamicTableColumn<ROW_TYPE,COLUMN_TYPE>`, `ProgramLocationTableColumn<ROW_TYPE,COLUMN_TYPE>`

public abstract class AbstractProgramLocationTableColumn<ROW_TYPE,COLUMN_TYPE> extends AbstractProgramBasedDynamicTableColumn<ROW_TYPE,COLUMN_TYPE> implements ProgramLocationTableColumn<ROW_TYPE,COLUMN_TYPE>
A convenience class that allows subclasses to signal that they implement `ProgramLocationTableColumn`, but they do not want to be `ExtensionPoint`s. For those wishing to be ExtensionPoints, see `ProgramLocationTableColumnExtensionPoint`.

See Also:
  - `ProgramLocationTableColumnExtensionPoint`

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractProgramLocationTableColumn()`

- ## Method Summary

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnDisplayName, getColumnName, getColumnPreferredWidth, getColumnRenderer, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, getValue, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.DynamicTableColumn

  `getColumnClass, getColumnDescription, getColumnDisplayName, getColumnName, getColumnPreferredWidth, getColumnRenderer, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, getValue`

  ### Methods inherited from interface ghidra.util.table.field.ProgramLocationTableColumn

  `getProgramLocation`

- ## Constructor Details

  - ### AbstractProgramLocationTableColumn

    public AbstractProgramLocationTableColumn()